clear all
set more off


cap: cd "C:/Dropbox/Collateral Scarcity and Fails/JMCB_accepted"

** INSTALL PACKAGES
* ssc install carryforward
* ssc install gtools
* ssc install listtex
* ssc install asrol
* ssc install ivreg2
* ssc install ranktest

** RUN DO-FILES
* 1 read in raw data
run 1_data.do


* 2 set up data for graphing and regressions
run 2_set_up_data.do


* 3 create figures 1-7
run 3_figures.do


* 4 create fails summary table (Table 1 Panel B-D)
run 4_summary.do


* 5 estimate fails regressions (Tables 2-6, Appendix Tables 8-9)
run 5_regs.do


* 6 estimate issuance profit regressions (Table 7, Appendix Table 10)
run 6_issuance_profit.do