clear all
set more off


* 1 read in daily data
import delimited raw/td_data.csv, clear 

gen td=date(td_string, "DMY")
order td, first
format td %td
drop td_string

save data/td_data, replace


* 2 read in fails data
import delimited raw/fails.csv, clear 

gen td=date(td_string, "DMY")
order td, first
format td %td
drop td_string

save data/fails, replace


* 3 create a date frame
clear
set obs 12000
gen td=_n+11490
format td %td
drop if td>td(31jul2020)

save data/td, replace


* 4 read in 19th-20th century data
import excel raw/other_data.xlsx, sheet("profit_annual") firstrow clear

* set date variable
tsset year

gen ln_profit=ln(profit)
gen ln_dgdp=ln(dgdp)
gen ln_avail_dgdp=ln(avail_dgdp)

label variable ln_dgdp "ln(Debt/GDP)"
label variable ln_avail_dgdp "ln(Avail/GDP)"
label variable spread "Muni Spread"
save data/profit_year, replace


import excel raw/other_data.xlsx, sheet("profit_quarterly") firstrow clear

* set date variable
gen tq=yq(year, quarter)
format tq %tq
tsset tq

gen ln_profit=ln(profit)
label variable spread "Muni Spread"
save data/profit_quarter, replace



