clear all
set more off



* determine cutoffs and plot
use data/fails_gc, clear


* specify crisis sample
gen sample=(year(td)>2007 & year(td)<2010)
save data/fails_summarize, replace

*--------
* TABLE 1
* PANEL B: FAILS TO DELIVER
use data/fails_summarize, clear

gcollapse (mean) *_mean=*_d (sd) *_sd=*_d, by(sample) wildparse

reshape long treasury_ mbs_ agency_, i(sample) j(desc) string
reshape wide agency_ mbs_ treasury_, i(desc) j(sample)

order desc treasury* agency* mbs*
replace desc="Mean" if desc=="mean"
replace desc="Standard Deviation" if desc=="sd"
listtex using tex/summary_d.tex, type rstyle(tabular) replace



* PANEL C: FAILS TO RECEIVE
use data/fails_summarize, clear

gcollapse (mean) *_mean=*_r (sd) *_sd=*_r, by(sample) wildparse

reshape long treasury_ mbs_ agency_, i(sample) j(desc) string
reshape wide agency_ mbs_ treasury_, i(desc) j(sample)

order desc treasury* agency* mbs*
replace desc="Mean" if desc=="mean"
replace desc="Standard Deviation" if desc=="sd"
listtex using tex/summary_r.tex, type rstyle(tabular) replace



* PANEL D: DIFFERENCE
use data/fails_summarize, clear

gcollapse (mean) *_mean=*_g (sd) *_sd=*_g, by(sample) wildparse

reshape long treasury_ mbs_ agency_, i(sample) j(desc) string
reshape wide agency_ mbs_ treasury_, i(desc) j(sample)

order desc treasury* agency* mbs*
replace desc="Mean" if desc=="mean"
replace desc="Standard Deviation" if desc=="sd"
listtex using tex/summary_a.tex, type rstyle(tabular) replace
