clear all
set more off

noisily: di _newline(200)


*local stars starl(* .05 ** .01)



use data/regs, clear

*----------------------
* TABLE 3 TREASURY BOTH
local left tr_r
local left2 tr_d

local options , bw(13)
est drop _all
eststo: ivreg2 d_`left' d_gc1 `options'
eststo: ivreg2 d_`left' d_gc1 crisis `options'
eststo: ivreg2 d_`left' d_gc1 crisis cross `options'

eststo: ivreg2 d_`left2' d_gc1 `options'
eststo: ivreg2 d_`left2' d_gc1 crisis `options'
eststo: ivreg2 d_`left2' d_gc1 crisis cross `options'
noisily: esttab, r2 `stars'

esttab using tex/tr_both.tex, ///
r2 label replace nonumbers booktabs ///
mgroups("$\Delta$ Treasury Receive" "$\Delta$ Treasury Deliver", pattern(1 0 0 1 0 0) prefix(\multicolumn{@span}{c}{) ///
suffix(}) span erepeat(\cmidrule(lr){@span})) nomtitles `stars'



*--------------------
* TABLE 4 AGENCY BOTH
local left agency_r
local left2 agency_d

local options , bw(13)
est drop _all
eststo: ivreg2 d_`left' d_gc1 `options'
eststo: ivreg2 d_`left' d_gc1 crisis `options'
eststo: ivreg2 d_`left' d_gc1 crisis cross `options'

eststo: ivreg2 d_`left2' d_gc1 `options'
eststo: ivreg2 d_`left2' d_gc1 crisis `options'
eststo: ivreg2 d_`left2' d_gc1 crisis cross `options'
noisily: esttab, r2 `stars'

esttab using tex/agency_both.tex, ///
r2 label replace nonumbers booktabs ///
mgroups("$\Delta$ Agency Receive" "$\Delta$ Agency Deliver", pattern(1 0 0 1 0 0) prefix(\multicolumn{@span}{c}{) ///
suffix(}) span erepeat(\cmidrule(lr){@span})) nomtitles `stars'



* ---------------------------
* TABLE 5 TREASURY AGENCY SUM
local left tr_agency_r
local left2 tr_agency_d

local options , bw(13)
est drop _all
eststo: ivreg2 d_`left' d_gc1 `options'
eststo: ivreg2 d_`left' d_gc1 crisis `options'
eststo: ivreg2 d_`left' d_gc1 crisis cross `options'

eststo: ivreg2 d_`left2' d_gc1 `options'
eststo: ivreg2 d_`left2' d_gc1 crisis `options'
eststo: ivreg2 d_`left2' d_gc1 crisis cross `options'
noisily: esttab, r2 `stars'

esttab using tex/tr_agency_both.tex, ///
r2 label replace nonumbers booktabs ///
mgroups("$\Delta$ Tr. + Agency Rec." "$\Delta$ Tr. + Agency Del.", pattern(1 0 0 1 0 0) prefix(\multicolumn{@span}{c}{) ///
suffix(}) span erepeat(\cmidrule(lr){@span})) nomtitles `stars'


*--------------------
* TABLE 6 COVID ONLY
local left tr_r
local left2 tr_d
local options if covid==1, bw(13)
est drop _all
local left tr
eststo: ivreg2 d_`left'_r d_gc1 `right' `options'
eststo: ivreg2 d_`left'_d d_gc1 `right' `options'
eststo: ivreg2 d_`left'_t d_gc1 `right' `options'
noisily: esttab, r2 `stars'

esttab using tex/tr_covid_only.tex, ///
r2 label  replace nonumbers booktabs ///
mgroups("Tr. Receive" "Tr. Deliver" "Tr. Sum", pattern(1 1 1) prefix(\multicolumn{@span}{c}{) ///
suffix(}) span erepeat(\cmidrule(lr){@span})) nomtitles `stars'


*---------------------------------------
* APPENDIX TABLE 8 TREASURY AGENCY GAP
local left tr_g
local left2 agency_g

local options , bw(13)
est drop _all
eststo: ivreg2 d_`left' d_gc1 `options'
eststo: ivreg2 d_`left' d_gc1 crisis `options'
eststo: ivreg2 d_`left' d_gc1 crisis cross `options'

eststo: ivreg2 d_`left2' d_gc1 `options'
eststo: ivreg2 d_`left2' d_gc1 crisis `options'
eststo: ivreg2 d_`left2' d_gc1 crisis cross `options'
noisily: esttab, r2 `stars'

esttab using tex/tr_agency_gap.tex, ///
r2 label replace nonumbers booktabs ///
mgroups("$\Delta$ Treasury Gap" "$\Delta$ Agency Gap", pattern(1 0 0 1 0 0) prefix(\multicolumn{@span}{c}{) ///
suffix(}) span erepeat(\cmidrule(lr){@span})) nomtitles `stars'

*--------------------------
* APPENDIX TABLE 9 MBS BOTH
local left mbs_r
local left2 mbs_d

local options , bw(13)
est drop _all
eststo: ivreg2 d_`left' d_gc1 `options'
eststo: ivreg2 d_`left' d_gc1 crisis `options'
eststo: ivreg2 d_`left' d_gc1 crisis cross `options'

eststo: ivreg2 d_`left2' d_gc1 `options'
eststo: ivreg2 d_`left2' d_gc1 crisis `options'
eststo: ivreg2 d_`left2' d_gc1 crisis cross `options'
noisily: esttab, r2 `stars'

esttab using tex/mbs_both.tex, ///
r2 label replace nonumbers booktabs ///
mgroups("$\Delta$ MBS Receive" "$\Delta$ MBS Deliver", pattern(1 0 0 1 0 0) prefix(\multicolumn{@span}{c}{) ///
suffix(}) span erepeat(\cmidrule(lr){@span})) nomtitles `stars'




*--------
* TABLE 2
use data/td_data, clear

drop if gc_tr1==.
gen tq=qofd(td)
format tq %tq

* indicate last ten days of a quarter
bysort tq (td): gen n=_n
bysort tq (td): gen N=_N
gen last=(N-n<11)

* indicators, label variables
gen lcr=(td>td(1jan2015))
gen crisis=(td>td(1jan2008) & td<td(1jan2010))
gen covid=(td>td(11mar2020))

gen last_lcr=last*lcr
gen last_crisis=last*crisis

label variable last "Last 10 days in quart."
label variable crisis "Crisis"
label variable lcr "LCR"

label variable last_crisis "Last 10 X Crisis"
label variable last_lcr "Last 10 X LCR"

* generate rolling standard deviation of gc spread
asrol gc_tr1, window(td 365) stat(sd) gen(sd) min(220)
drop if td<td(01aug2001)

est drop _all
eststo: reg gc_tr1, robust
eststo: reg gc_tr1 crisis, robust
eststo: reg gc_tr1 crisis lcr, robust

eststo: reg gc_tr1 last, robust
eststo: reg gc_tr1 last last_crisis crisis, robust
eststo: reg gc_tr1 last last_crisis crisis last_lcr lcr, robust
noisily: esttab, r2 label `stars'

esttab using tex/gc_spreads.tex, ///
r2 label replace nonumbers booktabs ///
mgroups("GC Repo - Treasury 1m", pattern(1 0 0 0 0 0) prefix(\multicolumn{@span}{c}{) ///
suffix(}) span erepeat(\cmidrule(lr){@span})) nomtitles `stars'